#
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html.
# Run `pod lib lint appcarry_sdk.podspec' to validate before publishing.
#
Pod::Spec.new do |s|
  s.name             = 'appcarry_sdk'
  s.version          = '0.0.1'
  s.summary          = 'Appcarry Attribution and Analytics Flutter Plugin'
  s.description      = <<-DESC
  Appcarry native track allows you to find what attracts new users to your app,
  measure all your app marketing activities on one dashboard, and add new traffic sources in minutes,
  all without having to update SDK.
                       DESC
  s.homepage         = 'https://github.com/appcarry/sdk-flutter'
  s.author                   = {'Appcarry Team' => 'info@appcarry.com'}
  s.license                  = { :type => 'Proprietary', :text => 'Copyright 2021 Appcarry Private Limited All rights reserved.' }
  s.source           = { :git => "https://github.com/AppsFlyerSDK/flutter_appsflyer_sdk.git", :tag => s.version.to_s }
  
  s.source_files = 'Classes/**/*'
  s.public_header_files = 'Classes/**/*.h'
  s.dependency 'Flutter'
  s.ios.dependency 'AppcarryFramework', '1.1.7'
  s.ios.dependency 'Firebase/Messaging'

  s.ios.deployment_target = '11.0'
  s.requires_arc = true
  s.static_framework = true

  # Flutter.framework does not contain a i386 slice.
  s.pod_target_xcconfig = { 'DEFINES_MODULE' => 'YES', 'EXCLUDED_ARCHS[sdk=iphonesimulator*]' => 'i386' }
end
