#import <Flutter/Flutter.h>
// #if __has_include(<AppcarryFramework/Appcarry.h>) // from Pod
// #import <AppcarryFramework/Appcarry.h>
// #else
#import "Appcarry.h"
// #endif

@interface AppcarrySdkPlugin : NSObject<FlutterPlugin>
+ (FlutterMethodChannel*)callbackChannel;
+ (BOOL)gcdCallback;
+ (BOOL)oaoaCallback;
+ (BOOL)udpCallback;
@end

#define acMethodChannel                 @"ac-api"
#define acCallbacksMethodChannel        @"callbacks"
#define acEventChannel                  @"ac-events"
#define acValidatePurchaseChannel       @"ac-validate-purchase"


#define acDevKey                            @"acDevKey"
#define acAppId                             @"acAppId"
#define acIsDebug                           @"isDebug"
#define acTimeToWaitForATTUserAuthorization @"timeToWaitForATTUserAuthorization"
#define acEventName                         @"eventName"
#define acEventValues                       @"eventValues"
#define acConversionData                    @"GCD"
#define acUDL                               @"UDL"
#define acInviteOneLink                     @"appInviteOneLink"
#define acDisableCollectASA                 @"disableCollectASA"
#define acDisableAdvertisingIdentifier      @"disableAdvertisingIdentifier"

// Appsflyer native objects
#define acOnInstallConversionData       @"onInstallConversionData"
#define acSuccess                       @"success"
#define acFailure                       @"failure"
#define acOnAttributionFailure          @"onAttributionFailure"
#define acValidatePurchase              @"validatePurchase"
#define acOnAppOpenAttribution          @"onAppOpenAttribution"
#define acOnDeepLinking                 @"onDeepLinking"
#define acOnInstallConversionFailure    @"onInstallConversionFailure"
#define acOnInstallConversionDataLoaded @"onInstallConversionDataLoaded"
#define acGCDCallback                   @"onInstallConversionData"
#define acOAOACallback                  @"onAppOpenAttribution"
#define acUDPCallback                   @"onDeepLinking"
#define acGenerateInviteLinkSuccess     @"generateInviteLinkSuccess"
#define acGenerateInviteLinkFailure     @"generateInviteLinkFailure"
#define acAppInviteOneLinkID            @"setAppInviteOneLinkIDCallback"